This application requires a (fast) HTML5 compliant browser That alows javascript.